import { Route, Redirect } from 'react-router-dom';
import { useSelector } from 'react-redux';

import { IPrivateProps} from '../../../typescript/components/Routes/interfaces';
import { getName } from '../../../redux/authorization/selector'

function PrivateRoute({ children, ...routeProps }: IPrivateProps) {
  const name = useSelector(getName)
  return (
    <Route {...routeProps}>
      {name ? children : <Redirect to="/z/" />}
    </Route>
  );
}



export default PrivateRoute
