import { Route, Redirect } from 'react-router-dom';
import { useSelector } from 'react-redux';

import { IPublicProps } from '../../../typescript/components/Routes/interfaces';
import { getName } from '../../../redux/authorization/selector'

function PublicRoute({
  children,
  restricted = false,
  ...routeProps
}: IPublicProps) {
  const name = useSelector(getName)
  const shouldRedirect = name && restricted;

  return (
    <Route {...routeProps}>
      {shouldRedirect ? <Redirect to="/" /> : children}
    </Route>
  );
}


export default PublicRoute;
